/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor.files;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import javax.swing.JPanel;
import nl.cloudfarming.client.model.SensorDataFile;

/**
 *
 * @author Timon Veenstra
 */
public class SensorFilesController {

    private final SensorFilesTableModel model = new SensorFilesTableModel();
    private final SensorFilesPanel panel = new SensorFilesPanel(model);
    private static final SensorFilesController instance = new SensorFilesController();

    private SensorFilesController() {
    }

    public static SensorFilesController getInstance() {
        return instance;
    }

    public JPanel getPanel() {
        return this.panel;
    }

    public void updateSensorRuns(Set<Long> plotIdList) {
        List<SensorDataFile> sensorFiles = new ArrayList<SensorDataFile>();
        this.model.updateContent(sensorFiles);
    }
}
