/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor.files;

import java.util.ArrayList;
import java.util.List;
import javax.swing.table.DefaultTableModel;
import nl.cloudfarming.client.model.SensorDataFile;

/**
 *
 * @author Timon Veenstra
 */
public class SensorFilesTableModel extends DefaultTableModel {

    private static final int MIN_ROW_COUNT = 1;

    public SensorFilesTableModel() {
//       addColumn(NbBundle.getMessage(ApprovedVaccinationsTableModel.class, "approvedvaccinations.column.vaccintype"));

        //TODO get from bundle
        addColumn("Sensor file #");
        addColumn("checksum");
        addColumn("file name");
        addColumn("created");
        addColumn("read");

        updateContent(null);

    }

    public final void updateContent(List<SensorDataFile> sensorFiles) {
        for (int i = 0; i < getRowCount(); i++) {
            removeRow(i);
        }
        
        if (sensorFiles != null) {
            int rowCount = 0;
            for (SensorDataFile sensorFile : sensorFiles) {
                List<Object> row = new ArrayList<Object>();

                row.add(sensorFile.getId());
                row.add(sensorFile.getChecksum());
                row.add(sensorFile.getFileName());
                row.add(sensorFile.getFileCreated());
                row.add(sensorFile.getFileRead());

                addRow(row.toArray());
                rowCount++;
            }
        }
        setRowCount(MIN_ROW_COUNT);

    }
}
